commit:     ccada7d51bcdf29ebd082462d4c0ba82cdd9ace0
Author:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
AuthorDate: Thu Nov 30 05:32:25 2017 +0000
Commit:     Matt Thode <prometheanfire <AT> gentoo <DOT> org>
CommitDate: Thu Nov 30 05:42:21 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ccada7d5

dev-python/oslotest: 2.17.1 bup

Package-Manager: Portage-2.3.14, Repoman-2.3.6

 dev-python/oslotest/Manifest               |  3 +-
 dev-python/oslotest/oslotest-2.17.1.ebuild | 68 ++++++++++++++++++++++++++++++
 2 files changed, 70 insertions(+), 1 deletion(-)

diff --git a/dev-python/oslotest/Manifest b/dev-python/oslotest/Manifest
index e326359ac1f..723c3413c88 100644
--- a/dev-python/oslotest/Manifest
+++ b/dev-python/oslotest/Manifest
@@ -1 +1,2 @@
-DIST oslotest-2.4.0.tar.gz 26392 SHA256 
cad9a20b4c26a691e947b826c37ea393c35384ff3d9091ac83c8ad4201795b0d SHA512 
20dfbf555741e72cd9ba41c0432e8c8af01ae7c07a9a740f71055f900a994790b420aa062313a59cdfddf4c80b7ca2aa0ee9ae2ee645ad525cbafeae3db68886
 WHIRLPOOL 
e8a5b8dc30bf2aa68e58c07d3a9e2067aa8d037022d22bdc9351950d70f922b61ec7e907652ae04886cd918bccf84ec4f409dc0604cb2a34af87780f1912fba2
+DIST oslotest-2.17.1.tar.gz 32166 BLAKE2B 
49922cedc32bebda867c6633118cbd8258a08048c510333d04e0b2f8f5efd4e5dde802bfb8910936dffca76823771d3e83e78528b5fd045ae4380e02f92cf809
 SHA512 
558d2c220a6b1235112022b495c77881f52895cb720d67090ad096576b4e81044b228bd95b8303779bf8cca2e1205ef912b1fedd1916a34130f4c68ef69fcc0d
+DIST oslotest-2.4.0.tar.gz 26392 BLAKE2B 
b34d478f9d18cf6582544499555c6daae5cd47e47731b17c835833b7cbbb65c652602c6642c0c682b0690dde495f5014b454a3c9e0a56b2f69b278935ebadd7c
 SHA512 
20dfbf555741e72cd9ba41c0432e8c8af01ae7c07a9a740f71055f900a994790b420aa062313a59cdfddf4c80b7ca2aa0ee9ae2ee645ad525cbafeae3db68886

diff --git a/dev-python/oslotest/oslotest-2.17.1.ebuild 
b/dev-python/oslotest/oslotest-2.17.1.ebuild
new file mode 100644
index 00000000000..b030faf9630
--- /dev/null
+++ b/dev-python/oslotest/oslotest-2.17.1.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 python3_{4,5,6} )
+
+inherit distutils-r1
+
+DESCRIPTION="Oslo test framework"
+HOMEPAGE="https://launchpad.net/oslo";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="doc test"
+
+CDEPEND=">=dev-python/pbr-1.8[${PYTHON_USEDEP}]"
+DEPEND="
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       ${CDEPEND}
+       test? (
+               >=dev-python/oslo-config-4.0.0[${PYTHON_USEDEP}]
+               !~dev-python/oslo-config-4.3.0[${PYTHON_USEDEP}]
+               !~dev-python/oslo-config-4.4.0[${PYTHON_USEDEP}]
+       )
+       doc? (
+               >=dev-python/openstackdocstheme-1.16.0[${PYTHON_USEDEP}]
+               >=dev-python/sphinx-1.6.2[${PYTHON_USEDEP}]
+               >=dev-python/reno-1.8.0[${PYTHON_USEDEP}]
+               !~dev-python/reno-2.3.1[${PYTHON_USEDEP}]
+       )
+"
+RDEPEND="
+       >=dev-python/fixtures-3.0.0[${PYTHON_USEDEP}]
+       >=dev-python/subunit-0.0.18[${PYTHON_USEDEP}]
+       >=dev-python/six-1.9.0[${PYTHON_USEDEP}]
+       >=dev-python/testrepository-0.0.18[${PYTHON_USEDEP}]
+       >=dev-python/testtools-1.4.0[${PYTHON_USEDEP}]
+       >=dev-python/mock-2.0[${PYTHON_USEDEP}]
+       >=dev-python/mox3-0.7.0[${PYTHON_USEDEP}]
+       !~dev-python/mox3-0.19.0[${PYTHON_USEDEP}]
+       >=dev-python/os-client-config-1.28.0[${PYTHON_USEDEP}]
+       >=dev-python/debtcollector-1.2.0[${PYTHON_USEDEP}]
+"
+
+python_compile_all() {
+       if use doc; then
+               esetup.py build_sphinx
+       else
+               esetup.py build_sphinx -b man
+       fi
+}
+
+python_test() {
+       rm -rf .testrepository || die "couldn't remove '.testrepository' under 
${EPYTHON}"
+
+       testr init || die "testr init failed under ${EPYTHON}"
+       testr run || die "testr run failed under ${EPYTHON}"
+}
+
+python_install_all() {
+       doman doc/build/man/oslotest.1
+       use doc && local HTML_DOCS=( doc/build/html/. )
+
+       distutils-r1_python_install_all
+}

Reply via email to